OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
splash.cpp File Reference

Splash screen support for OSX. More...

`#include "../../stdafx.h"`
`#include "../../openttd.h"`
`#include "../../debug.h"`
`#include "../../gfx_func.h"`
`#include "../../fileio_func.h"`
`#include "../../blitter/factory.hpp"`
`#include "../../core/mem_func.hpp"`
`#include "splash.h"`
`#include <png.h>`
`#include "../../safeguards.h"`

Go to the source code of this file.

## Functions
static void PNGAPI | png_my_error (png_structp png_ptr, png_const_charp message)
| Handle pnglib error.
static void PNGAPI | png_my_warning (png_structp png_ptr, png_const_charp message)
| Handle warning in pnglib.
void | DisplaySplashImage ()
| Display a splash image shown on startup (WITH_PNG).

## Detailed Description

Splash screen support for OSX.

Definition in file splash.cpp.

## Function Documentation

static void PNGAPI png_my_error | ( | png_structp | png_ptr,
|  | png_const_charp | message
| ) |  |
| static

Handle pnglib error.

Parameters

  png_ptr | Pointer to png struct.
  message | Error message text.

Definition at line 34 of file splash.cpp.

References DEBUG.

Referenced by DisplaySplashImage(), and MakePNGImage().

static void PNGAPI png_my_warning | ( | png_structp | png_ptr,
|  | png_const_charp | message
| ) |  |
| static

Handle warning in pnglib.

Parameters

  png_ptr | Pointer to png struct.
  message | Warning message text.

Definition at line 46 of file splash.cpp.

References DEBUG.

Referenced by DisplaySplashImage(), and MakePNGImage().